IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
3c19:c25d:c800::/40- First address
3c19:c25d:c800::- Last address
3c19:c25d:c8ff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
3c19:c25d:c800:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
8.c.d.5.2.c.9.1.c.3.ip6.arpa
Split into smaller subnets
3c19:c25d:c800::/40 makes 256 subnets of /48.
| # | Subnet | Last address |
|---|---|---|
| 1 | 3c19:c25d:c800::/48 | 3c19:c25d:c800:ffff:ffff:ffff:ffff:ffff |
| 2 | 3c19:c25d:c801::/48 | 3c19:c25d:c801:ffff:ffff:ffff:ffff:ffff |
| 3 | 3c19:c25d:c802::/48 | 3c19:c25d:c802:ffff:ffff:ffff:ffff:ffff |
| 4 | 3c19:c25d:c803::/48 | 3c19:c25d:c803:ffff:ffff:ffff:ffff:ffff |
| 5 | 3c19:c25d:c804::/48 | 3c19:c25d:c804:ffff:ffff:ffff:ffff:ffff |
| 6 | 3c19:c25d:c805::/48 | 3c19:c25d:c805:ffff:ffff:ffff:ffff:ffff |
| 7 | 3c19:c25d:c806::/48 | 3c19:c25d:c806:ffff:ffff:ffff:ffff:ffff |
| 8 | 3c19:c25d:c807::/48 | 3c19:c25d:c807:ffff:ffff:ffff:ffff:ffff |
| 9 | 3c19:c25d:c808::/48 | 3c19:c25d:c808:ffff:ffff:ffff:ffff:ffff |
| 10 | 3c19:c25d:c809::/48 | 3c19:c25d:c809:ffff:ffff:ffff:ffff:ffff |
| 11 | 3c19:c25d:c80a::/48 | 3c19:c25d:c80a:ffff:ffff:ffff:ffff:ffff |
| 12 | 3c19:c25d:c80b::/48 | 3c19:c25d:c80b:ffff:ffff:ffff:ffff:ffff |
| 13 | 3c19:c25d:c80c::/48 | 3c19:c25d:c80c:ffff:ffff:ffff:ffff:ffff |
| 14 | 3c19:c25d:c80d::/48 | 3c19:c25d:c80d:ffff:ffff:ffff:ffff:ffff |
| 15 | 3c19:c25d:c80e::/48 | 3c19:c25d:c80e:ffff:ffff:ffff:ffff:ffff |
| 16 | 3c19:c25d:c80f::/48 | 3c19:c25d:c80f:ffff:ffff:ffff:ffff:ffff |
| 17 | 3c19:c25d:c810::/48 | 3c19:c25d:c810:ffff:ffff:ffff:ffff:ffff |
| 18 | 3c19:c25d:c811::/48 | 3c19:c25d:c811:ffff:ffff:ffff:ffff:ffff |
| 19 | 3c19:c25d:c812::/48 | 3c19:c25d:c812:ffff:ffff:ffff:ffff:ffff |
| 20 | 3c19:c25d:c813::/48 | 3c19:c25d:c813:ffff:ffff:ffff:ffff:ffff |
| 21 | 3c19:c25d:c814::/48 | 3c19:c25d:c814:ffff:ffff:ffff:ffff:ffff |
| 22 | 3c19:c25d:c815::/48 | 3c19:c25d:c815:ffff:ffff:ffff:ffff:ffff |
| 23 | 3c19:c25d:c816::/48 | 3c19:c25d:c816:ffff:ffff:ffff:ffff:ffff |
| 24 | 3c19:c25d:c817::/48 | 3c19:c25d:c817:ffff:ffff:ffff:ffff:ffff |
| 25 | 3c19:c25d:c818::/48 | 3c19:c25d:c818:ffff:ffff:ffff:ffff:ffff |
| 26 | 3c19:c25d:c819::/48 | 3c19:c25d:c819:ffff:ffff:ffff:ffff:ffff |
| 27 | 3c19:c25d:c81a::/48 | 3c19:c25d:c81a:ffff:ffff:ffff:ffff:ffff |
| 28 | 3c19:c25d:c81b::/48 | 3c19:c25d:c81b:ffff:ffff:ffff:ffff:ffff |
| 29 | 3c19:c25d:c81c::/48 | 3c19:c25d:c81c:ffff:ffff:ffff:ffff:ffff |
| 30 | 3c19:c25d:c81d::/48 | 3c19:c25d:c81d:ffff:ffff:ffff:ffff:ffff |
| 31 | 3c19:c25d:c81e::/48 | 3c19:c25d:c81e:ffff:ffff:ffff:ffff:ffff |
| 32 | 3c19:c25d:c81f::/48 | 3c19:c25d:c81f:ffff:ffff:ffff:ffff:ffff |
| 33 | 3c19:c25d:c820::/48 | 3c19:c25d:c820:ffff:ffff:ffff:ffff:ffff |
| 34 | 3c19:c25d:c821::/48 | 3c19:c25d:c821:ffff:ffff:ffff:ffff:ffff |
| 35 | 3c19:c25d:c822::/48 | 3c19:c25d:c822:ffff:ffff:ffff:ffff:ffff |
| 36 | 3c19:c25d:c823::/48 | 3c19:c25d:c823:ffff:ffff:ffff:ffff:ffff |
| 37 | 3c19:c25d:c824::/48 | 3c19:c25d:c824:ffff:ffff:ffff:ffff:ffff |
| 38 | 3c19:c25d:c825::/48 | 3c19:c25d:c825:ffff:ffff:ffff:ffff:ffff |
| 39 | 3c19:c25d:c826::/48 | 3c19:c25d:c826:ffff:ffff:ffff:ffff:ffff |
| 40 | 3c19:c25d:c827::/48 | 3c19:c25d:c827:ffff:ffff:ffff:ffff:ffff |
| 41 | 3c19:c25d:c828::/48 | 3c19:c25d:c828:ffff:ffff:ffff:ffff:ffff |
| 42 | 3c19:c25d:c829::/48 | 3c19:c25d:c829:ffff:ffff:ffff:ffff:ffff |
| 43 | 3c19:c25d:c82a::/48 | 3c19:c25d:c82a:ffff:ffff:ffff:ffff:ffff |
| 44 | 3c19:c25d:c82b::/48 | 3c19:c25d:c82b:ffff:ffff:ffff:ffff:ffff |
| 45 | 3c19:c25d:c82c::/48 | 3c19:c25d:c82c:ffff:ffff:ffff:ffff:ffff |
| 46 | 3c19:c25d:c82d::/48 | 3c19:c25d:c82d:ffff:ffff:ffff:ffff:ffff |
| 47 | 3c19:c25d:c82e::/48 | 3c19:c25d:c82e:ffff:ffff:ffff:ffff:ffff |
| 48 | 3c19:c25d:c82f::/48 | 3c19:c25d:c82f:ffff:ffff:ffff:ffff:ffff |
| 49 | 3c19:c25d:c830::/48 | 3c19:c25d:c830:ffff:ffff:ffff:ffff:ffff |
| 50 | 3c19:c25d:c831::/48 | 3c19:c25d:c831:ffff:ffff:ffff:ffff:ffff |
| 51 | 3c19:c25d:c832::/48 | 3c19:c25d:c832:ffff:ffff:ffff:ffff:ffff |
| 52 | 3c19:c25d:c833::/48 | 3c19:c25d:c833:ffff:ffff:ffff:ffff:ffff |
| 53 | 3c19:c25d:c834::/48 | 3c19:c25d:c834:ffff:ffff:ffff:ffff:ffff |
| 54 | 3c19:c25d:c835::/48 | 3c19:c25d:c835:ffff:ffff:ffff:ffff:ffff |
| 55 | 3c19:c25d:c836::/48 | 3c19:c25d:c836:ffff:ffff:ffff:ffff:ffff |
| 56 | 3c19:c25d:c837::/48 | 3c19:c25d:c837:ffff:ffff:ffff:ffff:ffff |
| 57 | 3c19:c25d:c838::/48 | 3c19:c25d:c838:ffff:ffff:ffff:ffff:ffff |
| 58 | 3c19:c25d:c839::/48 | 3c19:c25d:c839:ffff:ffff:ffff:ffff:ffff |
| 59 | 3c19:c25d:c83a::/48 | 3c19:c25d:c83a:ffff:ffff:ffff:ffff:ffff |
| 60 | 3c19:c25d:c83b::/48 | 3c19:c25d:c83b:ffff:ffff:ffff:ffff:ffff |
| 61 | 3c19:c25d:c83c::/48 | 3c19:c25d:c83c:ffff:ffff:ffff:ffff:ffff |
| 62 | 3c19:c25d:c83d::/48 | 3c19:c25d:c83d:ffff:ffff:ffff:ffff:ffff |
| 63 | 3c19:c25d:c83e::/48 | 3c19:c25d:c83e:ffff:ffff:ffff:ffff:ffff |
| 64 | 3c19:c25d:c83f::/48 | 3c19:c25d:c83f:ffff:ffff:ffff:ffff:ffff |
| 65 | 3c19:c25d:c840::/48 | 3c19:c25d:c840:ffff:ffff:ffff:ffff:ffff |
| 66 | 3c19:c25d:c841::/48 | 3c19:c25d:c841:ffff:ffff:ffff:ffff:ffff |
| 67 | 3c19:c25d:c842::/48 | 3c19:c25d:c842:ffff:ffff:ffff:ffff:ffff |
| 68 | 3c19:c25d:c843::/48 | 3c19:c25d:c843:ffff:ffff:ffff:ffff:ffff |
| 69 | 3c19:c25d:c844::/48 | 3c19:c25d:c844:ffff:ffff:ffff:ffff:ffff |
| 70 | 3c19:c25d:c845::/48 | 3c19:c25d:c845:ffff:ffff:ffff:ffff:ffff |
| 71 | 3c19:c25d:c846::/48 | 3c19:c25d:c846:ffff:ffff:ffff:ffff:ffff |
| 72 | 3c19:c25d:c847::/48 | 3c19:c25d:c847:ffff:ffff:ffff:ffff:ffff |
| 73 | 3c19:c25d:c848::/48 | 3c19:c25d:c848:ffff:ffff:ffff:ffff:ffff |
| 74 | 3c19:c25d:c849::/48 | 3c19:c25d:c849:ffff:ffff:ffff:ffff:ffff |
| 75 | 3c19:c25d:c84a::/48 | 3c19:c25d:c84a:ffff:ffff:ffff:ffff:ffff |
| 76 | 3c19:c25d:c84b::/48 | 3c19:c25d:c84b:ffff:ffff:ffff:ffff:ffff |
| 77 | 3c19:c25d:c84c::/48 | 3c19:c25d:c84c:ffff:ffff:ffff:ffff:ffff |
| 78 | 3c19:c25d:c84d::/48 | 3c19:c25d:c84d:ffff:ffff:ffff:ffff:ffff |
| 79 | 3c19:c25d:c84e::/48 | 3c19:c25d:c84e:ffff:ffff:ffff:ffff:ffff |
| 80 | 3c19:c25d:c84f::/48 | 3c19:c25d:c84f:ffff:ffff:ffff:ffff:ffff |
| 81 | 3c19:c25d:c850::/48 | 3c19:c25d:c850:ffff:ffff:ffff:ffff:ffff |
| 82 | 3c19:c25d:c851::/48 | 3c19:c25d:c851:ffff:ffff:ffff:ffff:ffff |
| 83 | 3c19:c25d:c852::/48 | 3c19:c25d:c852:ffff:ffff:ffff:ffff:ffff |
| 84 | 3c19:c25d:c853::/48 | 3c19:c25d:c853:ffff:ffff:ffff:ffff:ffff |
| 85 | 3c19:c25d:c854::/48 | 3c19:c25d:c854:ffff:ffff:ffff:ffff:ffff |
| 86 | 3c19:c25d:c855::/48 | 3c19:c25d:c855:ffff:ffff:ffff:ffff:ffff |
| 87 | 3c19:c25d:c856::/48 | 3c19:c25d:c856:ffff:ffff:ffff:ffff:ffff |
| 88 | 3c19:c25d:c857::/48 | 3c19:c25d:c857:ffff:ffff:ffff:ffff:ffff |
| 89 | 3c19:c25d:c858::/48 | 3c19:c25d:c858:ffff:ffff:ffff:ffff:ffff |
| 90 | 3c19:c25d:c859::/48 | 3c19:c25d:c859:ffff:ffff:ffff:ffff:ffff |
| 91 | 3c19:c25d:c85a::/48 | 3c19:c25d:c85a:ffff:ffff:ffff:ffff:ffff |
| 92 | 3c19:c25d:c85b::/48 | 3c19:c25d:c85b:ffff:ffff:ffff:ffff:ffff |
| 93 | 3c19:c25d:c85c::/48 | 3c19:c25d:c85c:ffff:ffff:ffff:ffff:ffff |
| 94 | 3c19:c25d:c85d::/48 | 3c19:c25d:c85d:ffff:ffff:ffff:ffff:ffff |
| 95 | 3c19:c25d:c85e::/48 | 3c19:c25d:c85e:ffff:ffff:ffff:ffff:ffff |
| 96 | 3c19:c25d:c85f::/48 | 3c19:c25d:c85f:ffff:ffff:ffff:ffff:ffff |
| 97 | 3c19:c25d:c860::/48 | 3c19:c25d:c860:ffff:ffff:ffff:ffff:ffff |
| 98 | 3c19:c25d:c861::/48 | 3c19:c25d:c861:ffff:ffff:ffff:ffff:ffff |
| 99 | 3c19:c25d:c862::/48 | 3c19:c25d:c862:ffff:ffff:ffff:ffff:ffff |
| 100 | 3c19:c25d:c863::/48 | 3c19:c25d:c863:ffff:ffff:ffff:ffff:ffff |
| 101 | 3c19:c25d:c864::/48 | 3c19:c25d:c864:ffff:ffff:ffff:ffff:ffff |
| 102 | 3c19:c25d:c865::/48 | 3c19:c25d:c865:ffff:ffff:ffff:ffff:ffff |
| 103 | 3c19:c25d:c866::/48 | 3c19:c25d:c866:ffff:ffff:ffff:ffff:ffff |
| 104 | 3c19:c25d:c867::/48 | 3c19:c25d:c867:ffff:ffff:ffff:ffff:ffff |
| 105 | 3c19:c25d:c868::/48 | 3c19:c25d:c868:ffff:ffff:ffff:ffff:ffff |
| 106 | 3c19:c25d:c869::/48 | 3c19:c25d:c869:ffff:ffff:ffff:ffff:ffff |
| 107 | 3c19:c25d:c86a::/48 | 3c19:c25d:c86a:ffff:ffff:ffff:ffff:ffff |
| 108 | 3c19:c25d:c86b::/48 | 3c19:c25d:c86b:ffff:ffff:ffff:ffff:ffff |
| 109 | 3c19:c25d:c86c::/48 | 3c19:c25d:c86c:ffff:ffff:ffff:ffff:ffff |
| 110 | 3c19:c25d:c86d::/48 | 3c19:c25d:c86d:ffff:ffff:ffff:ffff:ffff |
| 111 | 3c19:c25d:c86e::/48 | 3c19:c25d:c86e:ffff:ffff:ffff:ffff:ffff |
| 112 | 3c19:c25d:c86f::/48 | 3c19:c25d:c86f:ffff:ffff:ffff:ffff:ffff |
| 113 | 3c19:c25d:c870::/48 | 3c19:c25d:c870:ffff:ffff:ffff:ffff:ffff |
| 114 | 3c19:c25d:c871::/48 | 3c19:c25d:c871:ffff:ffff:ffff:ffff:ffff |
| 115 | 3c19:c25d:c872::/48 | 3c19:c25d:c872:ffff:ffff:ffff:ffff:ffff |
| 116 | 3c19:c25d:c873::/48 | 3c19:c25d:c873:ffff:ffff:ffff:ffff:ffff |
| 117 | 3c19:c25d:c874::/48 | 3c19:c25d:c874:ffff:ffff:ffff:ffff:ffff |
| 118 | 3c19:c25d:c875::/48 | 3c19:c25d:c875:ffff:ffff:ffff:ffff:ffff |
| 119 | 3c19:c25d:c876::/48 | 3c19:c25d:c876:ffff:ffff:ffff:ffff:ffff |
| 120 | 3c19:c25d:c877::/48 | 3c19:c25d:c877:ffff:ffff:ffff:ffff:ffff |
| 121 | 3c19:c25d:c878::/48 | 3c19:c25d:c878:ffff:ffff:ffff:ffff:ffff |
| 122 | 3c19:c25d:c879::/48 | 3c19:c25d:c879:ffff:ffff:ffff:ffff:ffff |
| 123 | 3c19:c25d:c87a::/48 | 3c19:c25d:c87a:ffff:ffff:ffff:ffff:ffff |
| 124 | 3c19:c25d:c87b::/48 | 3c19:c25d:c87b:ffff:ffff:ffff:ffff:ffff |
| 125 | 3c19:c25d:c87c::/48 | 3c19:c25d:c87c:ffff:ffff:ffff:ffff:ffff |
| 126 | 3c19:c25d:c87d::/48 | 3c19:c25d:c87d:ffff:ffff:ffff:ffff:ffff |
| 127 | 3c19:c25d:c87e::/48 | 3c19:c25d:c87e:ffff:ffff:ffff:ffff:ffff |
| 128 | 3c19:c25d:c87f::/48 | 3c19:c25d:c87f:ffff:ffff:ffff:ffff:ffff |
| 129 | 3c19:c25d:c880::/48 | 3c19:c25d:c880:ffff:ffff:ffff:ffff:ffff |
| 130 | 3c19:c25d:c881::/48 | 3c19:c25d:c881:ffff:ffff:ffff:ffff:ffff |
| 131 | 3c19:c25d:c882::/48 | 3c19:c25d:c882:ffff:ffff:ffff:ffff:ffff |
| 132 | 3c19:c25d:c883::/48 | 3c19:c25d:c883:ffff:ffff:ffff:ffff:ffff |
| 133 | 3c19:c25d:c884::/48 | 3c19:c25d:c884:ffff:ffff:ffff:ffff:ffff |
| 134 | 3c19:c25d:c885::/48 | 3c19:c25d:c885:ffff:ffff:ffff:ffff:ffff |
| 135 | 3c19:c25d:c886::/48 | 3c19:c25d:c886:ffff:ffff:ffff:ffff:ffff |
| 136 | 3c19:c25d:c887::/48 | 3c19:c25d:c887:ffff:ffff:ffff:ffff:ffff |
| 137 | 3c19:c25d:c888::/48 | 3c19:c25d:c888:ffff:ffff:ffff:ffff:ffff |
| 138 | 3c19:c25d:c889::/48 | 3c19:c25d:c889:ffff:ffff:ffff:ffff:ffff |
| 139 | 3c19:c25d:c88a::/48 | 3c19:c25d:c88a:ffff:ffff:ffff:ffff:ffff |
| 140 | 3c19:c25d:c88b::/48 | 3c19:c25d:c88b:ffff:ffff:ffff:ffff:ffff |
| 141 | 3c19:c25d:c88c::/48 | 3c19:c25d:c88c:ffff:ffff:ffff:ffff:ffff |
| 142 | 3c19:c25d:c88d::/48 | 3c19:c25d:c88d:ffff:ffff:ffff:ffff:ffff |
| 143 | 3c19:c25d:c88e::/48 | 3c19:c25d:c88e:ffff:ffff:ffff:ffff:ffff |
| 144 | 3c19:c25d:c88f::/48 | 3c19:c25d:c88f:ffff:ffff:ffff:ffff:ffff |
| 145 | 3c19:c25d:c890::/48 | 3c19:c25d:c890:ffff:ffff:ffff:ffff:ffff |
| 146 | 3c19:c25d:c891::/48 | 3c19:c25d:c891:ffff:ffff:ffff:ffff:ffff |
| 147 | 3c19:c25d:c892::/48 | 3c19:c25d:c892:ffff:ffff:ffff:ffff:ffff |
| 148 | 3c19:c25d:c893::/48 | 3c19:c25d:c893:ffff:ffff:ffff:ffff:ffff |
| 149 | 3c19:c25d:c894::/48 | 3c19:c25d:c894:ffff:ffff:ffff:ffff:ffff |
| 150 | 3c19:c25d:c895::/48 | 3c19:c25d:c895:ffff:ffff:ffff:ffff:ffff |
| 151 | 3c19:c25d:c896::/48 | 3c19:c25d:c896:ffff:ffff:ffff:ffff:ffff |
| 152 | 3c19:c25d:c897::/48 | 3c19:c25d:c897:ffff:ffff:ffff:ffff:ffff |
| 153 | 3c19:c25d:c898::/48 | 3c19:c25d:c898:ffff:ffff:ffff:ffff:ffff |
| 154 | 3c19:c25d:c899::/48 | 3c19:c25d:c899:ffff:ffff:ffff:ffff:ffff |
| 155 | 3c19:c25d:c89a::/48 | 3c19:c25d:c89a:ffff:ffff:ffff:ffff:ffff |
| 156 | 3c19:c25d:c89b::/48 | 3c19:c25d:c89b:ffff:ffff:ffff:ffff:ffff |
| 157 | 3c19:c25d:c89c::/48 | 3c19:c25d:c89c:ffff:ffff:ffff:ffff:ffff |
| 158 | 3c19:c25d:c89d::/48 | 3c19:c25d:c89d:ffff:ffff:ffff:ffff:ffff |
| 159 | 3c19:c25d:c89e::/48 | 3c19:c25d:c89e:ffff:ffff:ffff:ffff:ffff |
| 160 | 3c19:c25d:c89f::/48 | 3c19:c25d:c89f:ffff:ffff:ffff:ffff:ffff |
| 161 | 3c19:c25d:c8a0::/48 | 3c19:c25d:c8a0:ffff:ffff:ffff:ffff:ffff |
| 162 | 3c19:c25d:c8a1::/48 | 3c19:c25d:c8a1:ffff:ffff:ffff:ffff:ffff |
| 163 | 3c19:c25d:c8a2::/48 | 3c19:c25d:c8a2:ffff:ffff:ffff:ffff:ffff |
| 164 | 3c19:c25d:c8a3::/48 | 3c19:c25d:c8a3:ffff:ffff:ffff:ffff:ffff |
| 165 | 3c19:c25d:c8a4::/48 | 3c19:c25d:c8a4:ffff:ffff:ffff:ffff:ffff |
| 166 | 3c19:c25d:c8a5::/48 | 3c19:c25d:c8a5:ffff:ffff:ffff:ffff:ffff |
| 167 | 3c19:c25d:c8a6::/48 | 3c19:c25d:c8a6:ffff:ffff:ffff:ffff:ffff |
| 168 | 3c19:c25d:c8a7::/48 | 3c19:c25d:c8a7:ffff:ffff:ffff:ffff:ffff |
| 169 | 3c19:c25d:c8a8::/48 | 3c19:c25d:c8a8:ffff:ffff:ffff:ffff:ffff |
| 170 | 3c19:c25d:c8a9::/48 | 3c19:c25d:c8a9:ffff:ffff:ffff:ffff:ffff |
| 171 | 3c19:c25d:c8aa::/48 | 3c19:c25d:c8aa:ffff:ffff:ffff:ffff:ffff |
| 172 | 3c19:c25d:c8ab::/48 | 3c19:c25d:c8ab:ffff:ffff:ffff:ffff:ffff |
| 173 | 3c19:c25d:c8ac::/48 | 3c19:c25d:c8ac:ffff:ffff:ffff:ffff:ffff |
| 174 | 3c19:c25d:c8ad::/48 | 3c19:c25d:c8ad:ffff:ffff:ffff:ffff:ffff |
| 175 | 3c19:c25d:c8ae::/48 | 3c19:c25d:c8ae:ffff:ffff:ffff:ffff:ffff |
| 176 | 3c19:c25d:c8af::/48 | 3c19:c25d:c8af:ffff:ffff:ffff:ffff:ffff |
| 177 | 3c19:c25d:c8b0::/48 | 3c19:c25d:c8b0:ffff:ffff:ffff:ffff:ffff |
| 178 | 3c19:c25d:c8b1::/48 | 3c19:c25d:c8b1:ffff:ffff:ffff:ffff:ffff |
| 179 | 3c19:c25d:c8b2::/48 | 3c19:c25d:c8b2:ffff:ffff:ffff:ffff:ffff |
| 180 | 3c19:c25d:c8b3::/48 | 3c19:c25d:c8b3:ffff:ffff:ffff:ffff:ffff |
| 181 | 3c19:c25d:c8b4::/48 | 3c19:c25d:c8b4:ffff:ffff:ffff:ffff:ffff |
| 182 | 3c19:c25d:c8b5::/48 | 3c19:c25d:c8b5:ffff:ffff:ffff:ffff:ffff |
| 183 | 3c19:c25d:c8b6::/48 | 3c19:c25d:c8b6:ffff:ffff:ffff:ffff:ffff |
| 184 | 3c19:c25d:c8b7::/48 | 3c19:c25d:c8b7:ffff:ffff:ffff:ffff:ffff |
| 185 | 3c19:c25d:c8b8::/48 | 3c19:c25d:c8b8:ffff:ffff:ffff:ffff:ffff |
| 186 | 3c19:c25d:c8b9::/48 | 3c19:c25d:c8b9:ffff:ffff:ffff:ffff:ffff |
| 187 | 3c19:c25d:c8ba::/48 | 3c19:c25d:c8ba:ffff:ffff:ffff:ffff:ffff |
| 188 | 3c19:c25d:c8bb::/48 | 3c19:c25d:c8bb:ffff:ffff:ffff:ffff:ffff |
| 189 | 3c19:c25d:c8bc::/48 | 3c19:c25d:c8bc:ffff:ffff:ffff:ffff:ffff |
| 190 | 3c19:c25d:c8bd::/48 | 3c19:c25d:c8bd:ffff:ffff:ffff:ffff:ffff |
| 191 | 3c19:c25d:c8be::/48 | 3c19:c25d:c8be:ffff:ffff:ffff:ffff:ffff |
| 192 | 3c19:c25d:c8bf::/48 | 3c19:c25d:c8bf:ffff:ffff:ffff:ffff:ffff |
| 193 | 3c19:c25d:c8c0::/48 | 3c19:c25d:c8c0:ffff:ffff:ffff:ffff:ffff |
| 194 | 3c19:c25d:c8c1::/48 | 3c19:c25d:c8c1:ffff:ffff:ffff:ffff:ffff |
| 195 | 3c19:c25d:c8c2::/48 | 3c19:c25d:c8c2:ffff:ffff:ffff:ffff:ffff |
| 196 | 3c19:c25d:c8c3::/48 | 3c19:c25d:c8c3:ffff:ffff:ffff:ffff:ffff |
| 197 | 3c19:c25d:c8c4::/48 | 3c19:c25d:c8c4:ffff:ffff:ffff:ffff:ffff |
| 198 | 3c19:c25d:c8c5::/48 | 3c19:c25d:c8c5:ffff:ffff:ffff:ffff:ffff |
| 199 | 3c19:c25d:c8c6::/48 | 3c19:c25d:c8c6:ffff:ffff:ffff:ffff:ffff |
| 200 | 3c19:c25d:c8c7::/48 | 3c19:c25d:c8c7:ffff:ffff:ffff:ffff:ffff |
| 201 | 3c19:c25d:c8c8::/48 | 3c19:c25d:c8c8:ffff:ffff:ffff:ffff:ffff |
| 202 | 3c19:c25d:c8c9::/48 | 3c19:c25d:c8c9:ffff:ffff:ffff:ffff:ffff |
| 203 | 3c19:c25d:c8ca::/48 | 3c19:c25d:c8ca:ffff:ffff:ffff:ffff:ffff |
| 204 | 3c19:c25d:c8cb::/48 | 3c19:c25d:c8cb:ffff:ffff:ffff:ffff:ffff |
| 205 | 3c19:c25d:c8cc::/48 | 3c19:c25d:c8cc:ffff:ffff:ffff:ffff:ffff |
| 206 | 3c19:c25d:c8cd::/48 | 3c19:c25d:c8cd:ffff:ffff:ffff:ffff:ffff |
| 207 | 3c19:c25d:c8ce::/48 | 3c19:c25d:c8ce:ffff:ffff:ffff:ffff:ffff |
| 208 | 3c19:c25d:c8cf::/48 | 3c19:c25d:c8cf:ffff:ffff:ffff:ffff:ffff |
| 209 | 3c19:c25d:c8d0::/48 | 3c19:c25d:c8d0:ffff:ffff:ffff:ffff:ffff |
| 210 | 3c19:c25d:c8d1::/48 | 3c19:c25d:c8d1:ffff:ffff:ffff:ffff:ffff |
| 211 | 3c19:c25d:c8d2::/48 | 3c19:c25d:c8d2:ffff:ffff:ffff:ffff:ffff |
| 212 | 3c19:c25d:c8d3::/48 | 3c19:c25d:c8d3:ffff:ffff:ffff:ffff:ffff |
| 213 | 3c19:c25d:c8d4::/48 | 3c19:c25d:c8d4:ffff:ffff:ffff:ffff:ffff |
| 214 | 3c19:c25d:c8d5::/48 | 3c19:c25d:c8d5:ffff:ffff:ffff:ffff:ffff |
| 215 | 3c19:c25d:c8d6::/48 | 3c19:c25d:c8d6:ffff:ffff:ffff:ffff:ffff |
| 216 | 3c19:c25d:c8d7::/48 | 3c19:c25d:c8d7:ffff:ffff:ffff:ffff:ffff |
| 217 | 3c19:c25d:c8d8::/48 | 3c19:c25d:c8d8:ffff:ffff:ffff:ffff:ffff |
| 218 | 3c19:c25d:c8d9::/48 | 3c19:c25d:c8d9:ffff:ffff:ffff:ffff:ffff |
| 219 | 3c19:c25d:c8da::/48 | 3c19:c25d:c8da:ffff:ffff:ffff:ffff:ffff |
| 220 | 3c19:c25d:c8db::/48 | 3c19:c25d:c8db:ffff:ffff:ffff:ffff:ffff |
| 221 | 3c19:c25d:c8dc::/48 | 3c19:c25d:c8dc:ffff:ffff:ffff:ffff:ffff |
| 222 | 3c19:c25d:c8dd::/48 | 3c19:c25d:c8dd:ffff:ffff:ffff:ffff:ffff |
| 223 | 3c19:c25d:c8de::/48 | 3c19:c25d:c8de:ffff:ffff:ffff:ffff:ffff |
| 224 | 3c19:c25d:c8df::/48 | 3c19:c25d:c8df:ffff:ffff:ffff:ffff:ffff |
| 225 | 3c19:c25d:c8e0::/48 | 3c19:c25d:c8e0:ffff:ffff:ffff:ffff:ffff |
| 226 | 3c19:c25d:c8e1::/48 | 3c19:c25d:c8e1:ffff:ffff:ffff:ffff:ffff |
| 227 | 3c19:c25d:c8e2::/48 | 3c19:c25d:c8e2:ffff:ffff:ffff:ffff:ffff |
| 228 | 3c19:c25d:c8e3::/48 | 3c19:c25d:c8e3:ffff:ffff:ffff:ffff:ffff |
| 229 | 3c19:c25d:c8e4::/48 | 3c19:c25d:c8e4:ffff:ffff:ffff:ffff:ffff |
| 230 | 3c19:c25d:c8e5::/48 | 3c19:c25d:c8e5:ffff:ffff:ffff:ffff:ffff |
| 231 | 3c19:c25d:c8e6::/48 | 3c19:c25d:c8e6:ffff:ffff:ffff:ffff:ffff |
| 232 | 3c19:c25d:c8e7::/48 | 3c19:c25d:c8e7:ffff:ffff:ffff:ffff:ffff |
| 233 | 3c19:c25d:c8e8::/48 | 3c19:c25d:c8e8:ffff:ffff:ffff:ffff:ffff |
| 234 | 3c19:c25d:c8e9::/48 | 3c19:c25d:c8e9:ffff:ffff:ffff:ffff:ffff |
| 235 | 3c19:c25d:c8ea::/48 | 3c19:c25d:c8ea:ffff:ffff:ffff:ffff:ffff |
| 236 | 3c19:c25d:c8eb::/48 | 3c19:c25d:c8eb:ffff:ffff:ffff:ffff:ffff |
| 237 | 3c19:c25d:c8ec::/48 | 3c19:c25d:c8ec:ffff:ffff:ffff:ffff:ffff |
| 238 | 3c19:c25d:c8ed::/48 | 3c19:c25d:c8ed:ffff:ffff:ffff:ffff:ffff |
| 239 | 3c19:c25d:c8ee::/48 | 3c19:c25d:c8ee:ffff:ffff:ffff:ffff:ffff |
| 240 | 3c19:c25d:c8ef::/48 | 3c19:c25d:c8ef:ffff:ffff:ffff:ffff:ffff |
| 241 | 3c19:c25d:c8f0::/48 | 3c19:c25d:c8f0:ffff:ffff:ffff:ffff:ffff |
| 242 | 3c19:c25d:c8f1::/48 | 3c19:c25d:c8f1:ffff:ffff:ffff:ffff:ffff |
| 243 | 3c19:c25d:c8f2::/48 | 3c19:c25d:c8f2:ffff:ffff:ffff:ffff:ffff |
| 244 | 3c19:c25d:c8f3::/48 | 3c19:c25d:c8f3:ffff:ffff:ffff:ffff:ffff |
| 245 | 3c19:c25d:c8f4::/48 | 3c19:c25d:c8f4:ffff:ffff:ffff:ffff:ffff |
| 246 | 3c19:c25d:c8f5::/48 | 3c19:c25d:c8f5:ffff:ffff:ffff:ffff:ffff |
| 247 | 3c19:c25d:c8f6::/48 | 3c19:c25d:c8f6:ffff:ffff:ffff:ffff:ffff |
| 248 | 3c19:c25d:c8f7::/48 | 3c19:c25d:c8f7:ffff:ffff:ffff:ffff:ffff |
| 249 | 3c19:c25d:c8f8::/48 | 3c19:c25d:c8f8:ffff:ffff:ffff:ffff:ffff |
| 250 | 3c19:c25d:c8f9::/48 | 3c19:c25d:c8f9:ffff:ffff:ffff:ffff:ffff |
| 251 | 3c19:c25d:c8fa::/48 | 3c19:c25d:c8fa:ffff:ffff:ffff:ffff:ffff |
| 252 | 3c19:c25d:c8fb::/48 | 3c19:c25d:c8fb:ffff:ffff:ffff:ffff:ffff |
| 253 | 3c19:c25d:c8fc::/48 | 3c19:c25d:c8fc:ffff:ffff:ffff:ffff:ffff |
| 254 | 3c19:c25d:c8fd::/48 | 3c19:c25d:c8fd:ffff:ffff:ffff:ffff:ffff |
| 255 | 3c19:c25d:c8fe::/48 | 3c19:c25d:c8fe:ffff:ffff:ffff:ffff:ffff |
| 256 | 3c19:c25d:c8ff::/48 | 3c19:c25d:c8ff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |